Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.hyperic.util.config
Class DoubleConfigOption

    java.lang.Object
      net.hyperic.util.config.ConfigOption
          net.hyperic.util.config.DoubleConfigOption

All Implemented Interfaces:
  java.io.Serializable

public class DoubleConfigOption
extends ConfigOption

See Also:
  Serialized Form

Constructor Summary
`protected` | `DoubleConfigOption()` Should only be used by serializer/deserializer
`` | `DoubleConfigOption(net.hyperic.util.config.OptionTransport transport)`
`` | `DoubleConfigOption(java.lang.String optName, java.lang.String optDesc, java.lang.Double defValue)`

Method Summary
`void` | `checkOptionIsValid(java.lang.String value)`
`double` | `getMaxValue()`
`double` | `getMinValue()`
`net.hyperic.util.config.OptionTransport` | `getTransport()`
`void` | `setMaxValue(double len)`
`void` | `setMinValue(double len)` Option properties

Methods inherited from class net.hyperic.util.config.ConfigOption
`equals, getDefault, getDescription, getName, getTransport, hashCode, isOptional, setDefault, setOptional, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoubleConfigOption

    protected DoubleConfigOption()

  Should only be used by serializer/deserializer

### DoubleConfigOption

    public DoubleConfigOption(java.lang.String optName,
                              java.lang.String optDesc,
                              java.lang.Double defValue)

### DoubleConfigOption

    public DoubleConfigOption(net.hyperic.util.config.OptionTransport transport)
                       throws net.hyperic.util.config.EncodingException

Method Detail

### checkOptionIsValid

    public void checkOptionIsValid(java.lang.String value)
                            throws InvalidOptionValueException

  Specified by:
    `checkOptionIsValid` in class `ConfigOption`
  Throws:
    `InvalidOptionValueException`

### getTransport

    public net.hyperic.util.config.OptionTransport getTransport()

  Specified by:
    `getTransport` in class `ConfigOption`

### setMinValue

    public void setMinValue(double len)

  Option properties

### getMinValue

    public double getMinValue()

### setMaxValue

    public void setMaxValue(double len)

### getMaxValue

    public double getMaxValue()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 2.5.dev
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Hyperic LLC support@hyperic.net, All Rights Reserved.